Subject: Re: SMU-base PowerMac and server_mode

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 06 Oct 2009 21:51:52 +1100

On Tue, 2009-10-06 at 12:31 +0200, Romain Goyet wrote:
> Hi Benjamin !
> 
> 
>   Actually I saw a post where you mentioned this tool on Google. I
> then searched it for like an hour or so, but really couldn't find it.
> That's why I ended up posting on this mailing list. I'm really glad
> you're on it by the way ! Anyway, like I said : I really looked for
> this tool, but couldn't find it…

Hrm... ok. I'll have to figure it out again. No time right now, but
get back to me next month after Kernel Summit and I'll see what i can
do.

Cheers,
Ben.

> 
> Thanks a lot !
> 
> 
>  - Romain
> 
> 
> On Tue, Oct 6, 2009 at 12:11 PM, Benjamin Herrenschmidt
> <[email-masked]> wrote:
>         
>         On Tue, 2009-10-06 at 11:16 +0200, Romain Goyet wrote:
>         > Hi there,
>         >
>         >
>         >   I have this Quad G5 here, running GentooPPC64. Runs fine.
>         Had a hard
>         > time getting it to boot without a screen attached, but I
>         eventually
>         > managed to (yaboot was the culprit). However, this machine
>         is
>         > SMU-based, and I couldn't find a way to enable the
>         equivalent of the
>         > PMU's "server_mode" (i.e. automatically reboot after a power
>         failure).
>         > Is there any known way to do that ?
>         
>         
>         I'm pretty sure I reverse engineered the necessary command a
>         while back
>         and somebody wrote a userland tool to set it, but I can't find
>         it
>         anymore :-)
>         
>         Google may help. Let me know if you can't find it.
>         
>         Cheers,
>         Ben.
>         
>         
> 
>